<?php
#############################################################################
#                              Site@School
# Site@School is a website management system designed for schools.
#
# mysql_NL.php 
#$Id: mysql_NL.php,v 1.2 2006/10/15 19:08:53 fstuurman Exp $
############################################################################
//general
mysql_query("INSERT INTO $table_configuration VALUES ('language', 'NL', '')");

//agenda
mysql_query("INSERT INTO $table_configuration (config_key, config_value, description) VALUES( 'agenda_time45', 'Opm.', '' )");
mysql_query("INSERT INTO $table_modules SET options = 'view_agenda.php,Bekijk agenda' WHERE location = 'sn_agenda'");

//ads
$result = mysql_query("select id from $table_modules WHERE location = 'sn_ads'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Advertenties', 'sn_ads', 'view_ads.php,Advertenties bekijken', 'admin.php', '$modtable_ads')");
}
mysql_query("INSERT INTO $table_configuration VALUES ('ads_disclaimer', 'Hier komt uw disclaimer tekst voor het prikbord', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('ads_welcome_text', 'Hier komt uw welkom tekst, zie module configuratie.', '')");

//allbum
mysql_query("INSERT INTO $table_configuration VALUES ('allbum_welcome','ALLbum hoofd Pagina','Welcome text allbum')");

$result = mysql_query("SELECT id FROM $table_modules WHERE location = 'sn_allbum'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'ALLbum', 'sn_allbum', 'sas_index.php,Bekijk Albums,sas_index2.php,Bekijk Album per pagina,slideshow.php,Album slideshow', 'admin.php', '$table_module_allbum')");
}

//chat
$result = mysql_query("SELECT id FROM $table_modules WHERE location = 'sn_chat'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES ('', 'Chat', 'sn_chat', 'chat.php, Chat pagina', 'admin.php', '')");
}

//calender
$result = mysql_query("select id from $table_modules WHERE location = 'sn_calendar'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Kalender', 'sn_calendar', 'calendar.php,Bekijk kalender', 'admin.php', '$calendar_table,$calendars_table')");
}

//up download
$result = mysql_query("select id from $table_modules WHERE location = 'sn_downloads'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Up/Download', 'sn_downloads', 'download_cat.php,Download pagina (categoriën),download_pag.php,Download pagina (per pagina),upload.php,Upload', 'admin.php', '$downloadstable,$downloadcategorytable ')");
}
mysql_query("INSERT INTO $table_configuration VALUES ('download_welcome_text', 'Welkom tekst up/download module, zie module configuratie', '')");
mysql_query("INSERT INTO $table_configuration VALUES('download_welcome_text_prot' , 'Welkom tekst up/download module beveiligd gebied, zie module configuratie' , '')") ;

//forms
$result = mysql_query("select id from $table_modules WHERE location = 'sn_form'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Formulieren', 'sn_form', 'show_form.php,Bekijk formulier', 'admin.php', '$forms_table,$forms_config_table')");
}

//forum
$result = mysql_query("select id from $table_modules WHERE location = 'sn_forum'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Forum', 'sn_forum', 'index.php,Forum', 'admin.php', '$table_users,$table_topics,$table_replies,$table_cat')");
}
mysql_query("INSERT INTO $table_cat VALUES (NULL, ' Publiek - Forum', '3', '')");
mysql_query("INSERT INTO $table_cat VALUES (NULL, ' Leraren - Forum', '2', '')");
mysql_query("INSERT INTO $table_cat VALUES (NULL, ' Leerlingen - Forum' , '1', '')");

mysql_query("INSERT INTO $table_configuration VALUES ('forum_welcome_text', 'Forum welkom tekst, zie forum configuratie', '')");

//guestbook
$result = mysql_query("select id from $table_modules WHERE location = 'sn_gbook'");
$RecordCount = mysql_num_rows($result);

if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Gastenboek', 'sn_gbook', 'gbook.php,Bekijk Gastenboek', 'admin.php', '$modtable_guestbook')");
}
mysql_query("INSERT INTO $table_configuration VALUES ('gbook_welcome_text', 'Welkom tekst, zie module configuratie.<br>', '')");

//message
$result = mysql_query("SELECT id FROM $table_modules WHERE location = 'sn_message'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Messages', 'sn_message', 'message.php,Berichten toevoegen,view_message.php,Bekijk berichten', 'admin.php', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('message_add_text', '<font size=6><b>Berichten toevoegen</font></b><hr>', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('message_view_text', '<font size=6><b>Berichten bekijken</font></b><hr> ', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('message_view_text_prot', '<font size=6><b>Berichten bekijken beveiligd gebied</font></b><hr> ', '')");
}

//links
mysql_query("INSERT INTO $table_configuration VALUES ('links_welcome_text', 'Welkoms tekst links pagina', '')");

//mail module
$result = mysql_query("select id from $table_modules WHERE location = 'sn_mailpage'");
$RecordCount = mysql_num_rows($result);
  if($RecordCount == 0) {
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Email pagina', 'sn_mailpage', 'mailpage.php,Email pagina', 'admin.php', '')");}
mysql_query("INSERT INTO $table_configuration VALUES ('email_thankyou_text', '<br><br><p align=\"center\"><font size=\"2\"><b>Uw boodschap is verzonden,<br><br>Bedankt voor uw reaktie.</b></font></p>', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('email_text', 'Hier komt uw welkom tekst, zie module configuratie.', '')");

//news
$result = mysql_query("select id from $table_modules WHERE location = 'sn_news'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{ 
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Nieuws', 'sn_news', 'frontpage.php,Nieuws Pagina,frontpage_cat.php,Categorie per pagina,archive.php,Nieuws Archief', 'admin.php', '$modtable_news_articles,$modtable_news_categories')");
}

mysql_query("INSERT INTO $table_configuration VALUES ('news_welcome_text', 'Hier komt uw welkom tekst, zie de moduleconfiguratie', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('news_archive_welcome_text', 'Hier komt uw welkom tekst, zie de moduleconfiguratie', '')");

//newsletter
$result = mysql_query("SELECT id FROM $table_modules WHERE location = 'sn_newsletter'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Nieuwsbrieven', 'sn_newsletter', 'newsletter.php, Nieuwsbrief', 'admin.php', '$table_newsletter_content,$table_newsletters,$table_email_adresses')");
}

//pupilpages
$result = mysql_query("select id from $table_modules WHERE location = 'sn_studentpages'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Klassen pagina\'s', 'sn_studentpages', 'user_login.php,Leraar/leerling login,viewpage.php,Leerling pagina\'s,viewpage2.php,Leerling pagina\'s per klas,viewproject.php,Leerling pagina\'s per projekt,teacher_page.php,Leerkracht pagina\'s', 'admin.php', '$table_studentpages')");
}

//search
$result = mysql_query("select id from $table_modules WHERE location = 'dgs_search'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Zoeken', 'dgs_search', 'search.php,Zoek pagina', 'admin.php', '')");
}
mysql_query("INSERT INTO $table_configuration VALUES ('search_module_welcome', '<h3>Zoeken op onze site</h3><br>Geef een zoek argument:<p>', 'Zoek module welkom tekst')");

//sitemap
$result = mysql_query("select id from $table_modules WHERE location = 'sn_sitemap'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Sitemap', 'sn_sitemap', 'view_sitemap.php,Sitemap,view_sitemap_date.php,Sitemap met datum', 'admin.php', '')");
}
mysql_query("INSERT INTO $table_configuration VALUES ('sitemap_welcome_text', 'Sitemap:', '')");


include("template_NL.php") ;
?>
